Can't download Telegram

Discussion in 'Mac Apps and Mac App Store' started by novetan, Aug 29, 2014.

  1. novetan macrumors 6502

    Joined:
    Sep 3, 2010
    #1
    I'm trying to down load Telegram App to my Mac com but failed. Telegram requires version 10.7 and despite I updated my com software, it still remains 10.6.8. I'm using Snow Leopard.

    Any one else faces same problem?
     
  2. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #2
    You need to upgrade OS X from Snow Leopard (10.6) to at least Lion (10.7). At this point, I'm not sure Lion is even available to buy on the Mac App Store.
     

Share This Page